@ECHO OFF
@ECHO **********************************************************************
@ECHO ** Script for programming IXXAT CANopen Demo via Stand-Alone Tool   **
@ECHO **********************************************************************
@ECHO ** Version 1.0                                                      **
@ECHO **********************************************************************
@ECHO .

REM temporary assistants
set TMP_ALTERA_PATH=bin

rem # parameters for FPGA Flash programming:
rem #     %1: Path to SOF-File
rem #     %2: Path to ELF-File
rem #     %3: Base name of SOF-File
rem #     %4: Base name of ELF file
rem #     %5: device number
rem #     %6: base address of epcs
set SOF_FILE_PATH=.\Design
set ELF_FILE_PATH=Release
set SOF_BASENAME=ifi_adv_can_ref_design
set ELF_BASENAME=SlaveDemo
set EPCS_BASEADDR=0x00a06800

call write_FLASH %SOF_FILE_PATH% %ELF_FILE_PATH% %SOF_BASENAME% %ELF_BASENAME% 1 %EPCS_BASEADDR%
pause
